# Uses of Annotation Interface
net.shibboleth.shared.annotation.constraint.NotEmpty

Packages that use NotEmpty
Package
Description
net.shibboleth.shared.cli
Command line functionality.
net.shibboleth.shared.codec
A set of helper functions for encoding/decoding data to/from different formats.
net.shibboleth.shared.component
Set of interfaces used to describe basic features of "components" within a larger system.
net.shibboleth.shared.httpclient
Classes for working with Apache HttpClient.
net.shibboleth.shared.logic
Classes that represent basic first order logic concepts.
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.primitive
A set of utilities dealing with Java's primitive types.
net.shibboleth.shared.scripting
Classes for working with JSR-223 scripting environments.
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.service.impl
Implementations of shared service interfaces.
net.shibboleth.shared.service.reloadable
Classes related to reloading beans.
net.shibboleth.shared.servlet.impl
Java Servlet specification implementation classes.
net.shibboleth.shared.spring.context
Spring application context classes.
net.shibboleth.shared.spring.custom
Classes used in custom XML Spring configuration handling.
net.shibboleth.shared.spring.expression
Classes supporting use of Spring Expression Language (SpEL).
net.shibboleth.shared.spring.httpclient.resource
Spring resource classes supporting HttpClient access.
net.shibboleth.shared.spring.resource
Shibboleth integration with Spring `Resource`.Helper functions, concrete implementations and a bridging class.
net.shibboleth.shared.spring.security.factory
Factory beans for security classes.
net.shibboleth.shared.spring.servlet
Spring-aware APIs relating to Java Servlets, Filters, etc.
net.shibboleth.shared.spring.servlet.impl
Spring-aware implementation classes related to Java Servlet and Filter behavior.
net.shibboleth.shared.spring.util
Supporting classes for using Spring.
net.shibboleth.shared.spring.velocity
Side-port of Velocity support from Spring 4 after removal from Spring 5.
net.shibboleth.shared.testing
Classes supporting testing of other classes.
net.shibboleth.shared.velocity
Classes for working with Apache Velocity.
net.shibboleth.shared.xml
APIs for parsing and using XML.
net.shibboleth.utilities.java.support.codec
Legacy API stub for compatibility.
net.shibboleth.utilities.java.support.net
Legacy stubs for compatibility.

## Uses of NotEmpty in net.shibboleth.shared.cli

Fields in net.shibboleth.shared.cli with annotations of type NotEmpty
Modifier and Type
Field
Description
`private final String`
AbstractCommandLine.TerminalCodes.`ansicode`
Code string.
`static final String`
AbstractCommandLine.`ARGS_PROPERTY`
Name of system property for command line argument class.
Methods in net.shibboleth.shared.cli with annotations of type NotEmpty
Modifier and Type
Method
Description
`protected abstract String`
AbstractCommandLine.`getVersion()`
Return an appropriate version value.
Method parameters in net.shibboleth.shared.cli with annotations of type NotEmpty
Modifier and Type
Method
Description
`private static void`
AbstractCommandLine.`error(String error)`
Prints the error message to STDERR.
Constructor parameters in net.shibboleth.shared.cli with annotations of type NotEmpty
Modifier
Constructor
Description
`private`
`TerminalCodes(String ansi)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.codec

Fields in net.shibboleth.shared.codec with annotations of type NotEmpty
Modifier and Type
Field
Description
`private String`
StringDigester.`digestAlgorithm`
The message digest algorithm to use.
`static final String`
HTMLEncoder.`REPLACEMENT_HEX`
Hex to replace illegal characters.
Method parameters in net.shibboleth.shared.codec with annotations of type NotEmpty
Modifier and Type
Method
Description
`void`
StringDigester.`setSalt(String s)`
Set a salt to add to the digest input for obfuscation.
Constructor parameters in net.shibboleth.shared.codec with annotations of type NotEmpty
Modifier
Constructor
Description
``
`StringDigester(String algorithm, StringDigester.OutputFormat format)`
Constructor.
``
`StringDigester(String algorithm, StringDigester.OutputFormat format, Charset charset)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.component

Methods in net.shibboleth.shared.component with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
AbstractIdentifiedInitializableComponent.`getId()`
Get the ID of this component.
Method parameters in net.shibboleth.shared.component with annotations of type NotEmpty
Modifier and Type
Method
Description
`void`
AbstractIdentifiableInitializableComponent.`setId(String componentId)`
Sets the ID of this component.
`protected void`
AbstractIdentifiedInitializableComponent.`setId(String componentId)`
Sets the ID of this component.
`void`
IdentifiableComponent.`setId(String componentId)`
Set the ID of this component.

## Uses of NotEmpty in net.shibboleth.shared.httpclient

Fields in net.shibboleth.shared.httpclient with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final String`
HttpClientSupport.`CONTEXT_KEY_DYNAMIC_CONTEXT_HANDLERS`
Context key for instances of dynamic context handlers to be invoked before and after the HTTP request.
`static final String`
TLSSocketFactory.`CONTEXT_KEY_HOSTNAME_VERIFIER`
HttpContext key for an instance of `HostnameVerifier`.
`static final String`
HttpClientSupport.`CONTEXT_KEY_REQUEST_TIMEOUT`
Context key for an overall request timeout.
`static final String`
TLSSocketFactory.`CONTEXT_KEY_TLS_CIPHER_SUITES`
HttpContext key for a a list of TLS cipher suites to enable on the socket.
`static final String`
TLSSocketFactory.`CONTEXT_KEY_TLS_PROTOCOLS`
HttpContext key for a a list of TLS protocols to enable on the socket.
`private static final String`
TLSSocketFactoryBuilder.`DEFAULT_CONTEXT_PROTOCOL`
The default protocol used when obtaining the SSLContxt instance.
`static final String`
TLSSocketFactory.`SSL`
Protocol: SSL.
`static final String`
TLSSocketFactory.`SSLV2`
Protocol: SSLv2.
`static final String`
TLSSocketFactory.`TLS`
Protocol: TLS.
Method parameters in net.shibboleth.shared.httpclient with annotations of type NotEmpty
Modifier and Type
Method
Description
`void`
FileCachingHttpClientBuilder.`setCacheDirectory(String directoryPath)`
Sets the directory in which cached content will be stored.

## Uses of NotEmpty in net.shibboleth.shared.logic

Fields in net.shibboleth.shared.logic with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final TrimOrNullStringFunction`
TrimOrNullStringFunction.`INSTANCE`
A singleton instance of this function.
Methods in net.shibboleth.shared.logic with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
TrimOrNullStringFunction.`apply(String input)`
Method parameters in net.shibboleth.shared.logic with annotations of type NotEmpty
Modifier and Type
Method
Description
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`inlineScript(String scriptSource)`
Factory to create `ScriptedBiConsumer` from inline data.
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiConsumer` from inline data.
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiConsumer` from inline data.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`inlineScript(String scriptSource)`
Factory to create `ScriptedBiFunction` from inline data.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiFunction` from inline data.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiFunction` from inline data.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`inlineScript(String scriptSource)`
Factory to create `ScriptedBiPredicate` from inline data.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiPredicate` from inline data.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiPredicate` from inline data.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`inlineScript(String scriptSource)`
Factory to create `ScriptedConsumer` from inline data.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedConsumer` from inline data.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedConsumer` from inline data.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`inlineScript(String scriptSource)`
Factory to create `ScriptedFunction` from inline data.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedFunction` from inline data.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedFunction` from inline data.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`inlineScript(String scriptSource)`
Factory to create `ScriptedPredicate` from inline data.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedPredicate` from inline data.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedPredicate` from inline data.
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiConsumer` from a `Resource`.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiFunction` from a `Resource`.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiPredicate` from a `Resource`.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedConsumer` from a `Resource`.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedFunction` from a `Resource`.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedPredicate` from a `Resource`.
Constructor parameters in net.shibboleth.shared.logic with annotations of type NotEmpty
Modifier
Constructor
Description
``
`RegexPredicate(String s)`
String constructor.
`protected`
`ScriptedBiConsumer(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedBiConsumer(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedBiConsumer(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedBiFunction(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedBiFunction(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedBiFunction(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedBiPredicate(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedBiPredicate(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedBiPredicate(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedConsumer(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedConsumer(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedConsumer(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedFunction(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedFunction(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedFunction(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedPredicate(EvaluableScript theScript)`
Constructor.
`protected`
`ScriptedPredicate(EvaluableScript theScript, String extraInfo)`
Constructor.
`protected`
`ScriptedPredicate(EvaluableScript theScript, String extraInfo)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.net

Fields in net.shibboleth.shared.net with annotations of type NotEmpty
Modifier and Type
Field
Description
`private String`
CookieManager.SameSiteValue.`value`
The same-site attribute value.
Methods in net.shibboleth.shared.net with annotations of type NotEmpty
Modifier and Type
Method
Description
`static String`
SimpleURLCanonicalizer.`canonicalize(String url)`
Canonicalize the supplied URL.
`private String`
CookieManager.`contextPathToCookiePath()`
Turn the servlet context path into an appropriate cookie path.
Method parameters in net.shibboleth.shared.net with annotations of type NotEmpty
Modifier and Type
Method
Description
`void`
CookieManager.`addCookie(String name, String value)`
Add a cookie with the specified attributes.
`void`
CookieManager.`addCookie(String name, String value)`
Add a cookie with the specified attributes.
`void`
CookieManager.`addCookie(String name, String value, int overrideMaxAge)`
Add a cookie with the specified attributes.
`void`
CookieManager.`addCookie(String name, String value, int overrideMaxAge)`
Add a cookie with the specified attributes.
`void`
CookieManager.`addCookie(String name, String value, String overridePath, int overrideMaxAge)`
Add a cookie with the specified attributes.
`void`
CookieManager.`addCookie(String name, String value, String overridePath, int overrideMaxAge)`
Add a cookie with the specified attributes.
`void`
CookieManager.`addCookie(String name, String value, String overridePath, int overrideMaxAge)`
Add a cookie with the specified attributes.
`static String`
SimpleURLCanonicalizer.`canonicalize(String url)`
Canonicalize the supplied URL.
`boolean`
CookieManager.`cookieHasValue(String name, String expectedValue)`
Check whether a cookie has a certain value.
`boolean`
CookieManager.`cookieHasValue(String name, String expectedValue)`
Check whether a cookie has a certain value.
`String`
CookieManager.`getCookieValue(String name, String defValue)`
Return the first matching cookie's value.
`static Integer`
SimpleURLCanonicalizer.`getRegisteredPort(String scheme)`
Obtain the default port registered for a scheme.
`static IPRange`
IPRange.`parseCIDRBlock(String cidrBlock)`
Parses a CIDR block definition in to an IP range.
`void`
CookieManager.`purgeStaleCookies(String prefix)`
Unset cookies matching a given prefix in excess of the configured amount.
`void`
CookieManager.`purgeStaleCookies(String prefix, String overridePath)`
Unset cookies matching a given prefix in excess of the configured amount.
`void`
CookieManager.`purgeStaleCookies(String prefix, String overridePath)`
Unset cookies matching a given prefix in excess of the configured amount.
`static void`
SimpleURLCanonicalizer.`registerSchemePortMapping(String scheme, Integer port)`
Register a new scheme-to-port mapping.
`void`
CookieManager.`unsetCookie(String name)`
Unsets a cookie with the specified name and the default path.
`void`
CookieManager.`unsetCookie(String name, String overridePath)`
Unsets a cookie with the specified name and path.
`void`
CookieManager.`unsetCookie(String name, String overridePath)`
Unsets a cookie with the specified name and path.
`private static void`
IPRange.`validateIPAddress(String address)`
Validate an IP address for use as the base of a CIDR block.
`private static void`
IPRange.`validateV4Address(String address)`
Validate an IPv4 address for use as the base of a CIDR block.
`private static void`
IPRange.`validateV6Address(String address)`
Validate an IPv6 address for use as the base of a CIDR block.
Constructor parameters in net.shibboleth.shared.net with annotations of type NotEmpty
Modifier
Constructor
Description
`private`
`SameSiteValue(String attrValue)`
Constructor.
``
`URLBuilder(String baseURL)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.primitive

Fields in net.shibboleth.shared.primitive with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final String`
DeprecationSupport.`LOG_CATEGORY`
Log category name for warnings.
`private final String`
DeprecationSupport.ObjectType.`text`
Printed version.
Methods in net.shibboleth.shared.primitive with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
LangBearingString.`getLang()`
Get the language.
`static String`
TimerSupport.`getTimerName(Object obj)`
Produce the name which should be used for a `Timer` owned by the specified object.
`static String`
TimerSupport.`getTimerName(Object obj, String additionalData)`
Produce the name which should be used for a `Timer` owned by the specified object.
`static String`
TimerSupport.`getTimerName(String baseName, String additionalData)`
Produce the name for a `Timer` based on the specified base name.
`private static String`
TimerSupport.`uncheckedGetTimerName(String baseName, String additionalData)`
Unchecked version of `TimerSupport.getTimerName(String, String)` that assumes base name is non-null.
Method parameters in net.shibboleth.shared.primitive with annotations of type NotEmpty
Modifier and Type
Method
Description
`static void`
DeprecationSupport.`atRisk(DeprecationSupport.ObjectType type, String name, String context)`
Emit an at-risk warning for an object or feature of the system.
`static void`
DeprecationSupport.`atRiskOnce(DeprecationSupport.ObjectType type, String name, String context)`
Emit a deprecation warning for an object or feature of the system but limit to a single warning for the life of the process or until state is cleared.
`static org.slf4j.Logger`
LoggerFactory.`getLogger(String category)`
Get class-based logger.
`static void`
DeprecationSupport.`warn(DeprecationSupport.ObjectType type, String name, String context, String replacement)`
Emit a deprecation warning for an object or feature of the system.
`static void`
DeprecationSupport.`warnOnce(DeprecationSupport.ObjectType type, String name, String context, String replacement)`
Emit a deprecation warning for an object or feature of the system but limit to a single warning for the life of the process or until state is cleared.
Constructor parameters in net.shibboleth.shared.primitive with annotations of type NotEmpty
Modifier
Constructor
Description
``
`LangBearingString(String value, String lang)`
Constructor.
`private`
`ObjectType(String s)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.scripting

Fields in net.shibboleth.shared.scripting with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final String`
AbstractScriptEvaluator.`DEFAULT_ENGINE`
The default language is Javascript.
`private String`
EvaluableScript.`script`
The script to execute.
`private String`
EvaluableScript.`scriptLanguage`
The scripting language.
Methods in net.shibboleth.shared.scripting with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
EvaluableScript.`getScript()`
Gets the script source.
`String`
EvaluableScript.`getScriptLanguage()`
Gets the script language.
Method parameters in net.shibboleth.shared.scripting with annotations of type NotEmpty
Modifier and Type
Method
Description
`void`
EvaluableScript.`setEngineName(String what)`
Sets the script language.
`void`
EvaluableScript.`setScript(String what)`
Sets the script source.

## Uses of NotEmpty in net.shibboleth.shared.security

Fields in net.shibboleth.shared.security with annotations of type NotEmpty
Modifier and Type
Field
Description
`private String`
EncryptedCookieManager.`cookieName`
Passwordless cookie name.
`static final String`
DataSealer.`MAGIC_STRING`
Magic string to signal use of per-node prefix feature.
`private final String`
DataSealerKeyStrategy.NamedKey.`name`
The field for the `name` record component.
`static final String`
EncryptedCookieManager.`NEGATIVE_VALUE`
A negative signal to allow caching opt-out.
Methods in net.shibboleth.shared.security with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
IdentifierGenerationStrategy.`generateIdentifier()`
Generates an identifier guaranteed to be XML ID safe.
`String`
IdentifierGenerationStrategy.`generateIdentifier(boolean xmlSafe)`
Generates an identifier.
`String`
DataSealerKeyStrategy.NamedKey.`name()`
Returns the value of the `name` record component.
`String`
EncryptedCookieManager.`readCookie()`
Read back existing cookie and return the value embedded in it, if any.
Method parameters in net.shibboleth.shared.security with annotations of type NotEmpty
Modifier and Type
Method
Description
`private String`
DataSealer.`extractAndCheckDecryptedData(byte[] decryptedBytes, int decryptedOffset, int decryptedLen)`
Extract the GZIP'd data and test for expiration before returning it.
`SecretKey`
DataSealerKeyStrategy.`getKey(String name)`
Get a specifically named key.
`void`
DataSealer.`setNodePrefix(String prefix)`
Set a prefix to affix to wrapped values to support signaling to load balancers, etc.
`String`
DataSealer.`unwrap(String wrapped)`
Decrypts and verifies an encrypted bundle created with `DataSealer.wrap(String, Instant)`.
`String`
DataSealer.`unwrap(String wrapped, StringBuffer keyUsed)`
Decrypts and verifies an encrypted bundle created with `DataSealer.wrap(String, Instant)`, optionally returning the label of the key used to encrypt the data.
`String`
DataSealer.`wrap(String data)`
Equivalent to `DataSealer.wrap(String, Instant)` with expiration set to "never".
`String`
DataSealer.`wrap(String data, Instant exp)`
Encodes data into an AEAD-encrypted blob, gzip(exp|data) exp = expiration time of the data; 8 bytes; Big-endian data = the data; a UTF-8-encoded string
Constructor parameters in net.shibboleth.shared.security with annotations of type NotEmpty
Modifier
Constructor
Description
``
`NamedKey(String name, SecretKey key)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.security.impl

Fields in net.shibboleth.shared.security.impl with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`CERT_ALG`
Certificate algorithm.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`CERT_FILE`
Path to certificate file to create.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`CERT_LIFETIME`
Certificate lifetime.
`private String`
SelfSignedCertificateGenerator.CommandLineArgs.`certAlg`
Certificate algorithm.
`static final String`
BasicKeystoreKeyStrategy.`CURRENT_VERSION_PROP`
Name of property representing current key version.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`DNS_ALTNAMES`
DNS subjectAltNames.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`HELP`
Display command usage.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`HELP`
Display command usage.
`private String`
SelfSignedCertificateGenerator.CommandLineArgs.`hostname`
Hostname.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`HOSTNAME`
Hostname for cert subject.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`KEY_ALIAS`
Key alias base.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`KEY_COUNT`
Number of keys to maintain.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`KEY_FILE`
Path to private key file to create.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`KEY_SIZE`
Key size.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`KEY_SIZE`
Key size.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`KEY_TYPE`
Key algorithm.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`KEY_TYPE`
Key algorithm.
`private String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`keystoreType`
Keystore type.
`private String`
SelfSignedCertificateGenerator.CommandLineArgs.`keystoreType`
Keystore type.
`private String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`keyType`
Key algorithm.
`private String`
SelfSignedCertificateGenerator.CommandLineArgs.`keyType`
Key algorithm.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`STORE_FILE`
Path to keystore to create.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`STORE_FILE`
Path to keystore to create.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`STORE_PASS`
Keystore password.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`STORE_PASS`
Keystore password.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`STORE_TYPE`
Type of keystore to create.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`STORE_TYPE`
Type of keystore to create.
`static final String`
SelfSignedCertificateGenerator.CommandLineArgs.`URI_ALTNAMES`
URI subjectAltNames.
`static final String`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`VERSION_FILE`
Path to key versioning file.
Methods in net.shibboleth.shared.security.impl with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
RandomIdentifierGenerationStrategy.`generateIdentifier()`
Generates an identifier guaranteed to be XML ID safe.
`String`
RandomIdentifierGenerationStrategy.`generateIdentifier(boolean xmlSafe)`
Generates an identifier.
`String`
Type4UUIDIdentifierGenerationStrategy.`generateIdentifier()`
Generates an identifier guaranteed to be XML ID safe.
`String`
Type4UUIDIdentifierGenerationStrategy.`generateIdentifier(boolean xmlSafe)`
Generates an identifier.
Method parameters in net.shibboleth.shared.security.impl with annotations of type NotEmpty
Modifier and Type
Method
Description
`SecretKey`
BasicKeystoreKeyStrategy.`getKey(String name)`
Get a specifically named key.
`SecretKey`
ScriptedKeyStrategy.`getKey(String name)`
Get a specifically named key.
`void`
SelfSignedCertificateGenerator.`setCertificateAlg(String alg)`
Set the certificate algorithm that will be used.
`void`
SelfSignedCertificateGenerator.`setHostName(String name)`
Set the hostname that will appear in the certificate's DN.
`void`
BasicKeystoreKeyStrategy.`setKeyAlias(String alias)`
Set the encryption key alias base name.
`void`
BasicKeystoreKeyStrategyTool.`setKeyAlias(String alias)`
Set the encryption key alias base name.
`void`
BasicKeystoreKeyStrategy.`setKeystoreResource(Resource resource)`
Set the keystore resource.
`void`
BasicKeystoreKeyStrategy.`setKeystoreType(String type)`
Set the keystore type.
`void`
BasicKeystoreKeyStrategyTool.`setKeystoreType(String type)`
Set the type of keystore to create.
`void`
SelfSignedCertificateGenerator.`setKeystoreType(String type)`
Set the type of keystore to create.
`void`
BasicKeystoreKeyStrategyTool.`setKeyType(String type)`
Set the type of key that will be generated.
`void`
SelfSignedCertificateGenerator.`setKeyType(String type)`
Set the type of key that will be generated.
`void`
BasicKeystoreKeyStrategy.`setKeyVersionResource(Resource resource)`
Set the key version resource.

## Uses of NotEmpty in net.shibboleth.shared.service

Fields in net.shibboleth.shared.service with annotations of type NotEmpty
Modifier and Type
Field
Description
`private final String`
ReloadableServiceGaugeSet.`metricPrefix`
The metric Prefix.
Methods in net.shibboleth.shared.service with annotations of type NotEmpty
Modifier and Type
Method
Description
`protected String`
AbstractReloadableService.`getLogPrefix()`
Return a string which is to be prepended to all log messages.
`protected final String`
ReloadableServiceGaugeSet.`getLogPrefix()`
Get the log prefix.
Constructor parameters in net.shibboleth.shared.service with annotations of type NotEmpty
Modifier
Constructor
Description
``
`ReloadableServiceGaugeSet(String metricName)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.service.impl

Fields in net.shibboleth.shared.service.impl with annotations of type NotEmpty
Modifier and Type
Field
Description
`private String`
LogbackLoggingService.`homePropertyName`
Optional name of a property to populate into the `LoggerContext`.
Method parameters in net.shibboleth.shared.service.impl with annotations of type NotEmpty
Modifier and Type
Method
Description
`void`
LogbackLoggingService.`setHomePropertyName(String name)`
Set name of a property to load into `LoggerContext`.

## Uses of NotEmpty in net.shibboleth.shared.service.reloadable

Fields in net.shibboleth.shared.service.reloadable with annotations of type NotEmpty
Modifier and Type
Field
Description
`private String`
ProxiedFactoryBean.`backupName`
Backup bean name.
`private String`
ProxiedFactoryBean.`beanName`
Bean name.
`static final String`
ReloadableScope.`SCOPE_RELOADABLE`
Scope indicating reloadability.
Constructor parameters in net.shibboleth.shared.service.reloadable with annotations of type NotEmpty
Modifier
Constructor
Description
``
`ProxiedFactoryBean(ReloadableService<ApplicationContext> service, Class<T> type, String name)`
Constructor.
``
`ProxiedFactoryBean(ReloadableService<ApplicationContext> service, Class<T> type, String name, String backup)`
Constructor.
``
`ProxiedFactoryBean(ReloadableService<ApplicationContext> service, Class<T> type, String name, String backup)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.servlet.impl

Fields in net.shibboleth.shared.servlet.impl with annotations of type NotEmpty
Modifier and Type
Field
Description
`private final String`
StubbedFilter.`className`
Class name to warn about, defaults to the name of this class (or its superclass).
Constructor parameters in net.shibboleth.shared.servlet.impl with annotations of type NotEmpty
Modifier
Constructor
Description
``
`StubbedFilter(String name)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.spring.context

Methods in net.shibboleth.shared.spring.context with annotations of type NotEmpty
Modifier and Type
Method
Description
`protected abstract String`
AbstractPropertiesApplicationContextInitializer.`getAdditionalPropertiesPropertyName()`
Get the name of the property identifying the additional property resources to load (e.g., "idp.additionalProperties").
`protected abstract String`
AbstractPropertiesApplicationContextInitializer.`getAutoSearchPropertyName()`
Get the name of the property determining whether to enable auto-search (e.g., "idp.searchForProperties").
`protected String`
AbstractPropertiesApplicationContextInitializer.`getAutoSearchRoot()`
Get the root folder under the search location to search for additional property files.
`protected abstract String`
AbstractPropertiesApplicationContextInitializer.`getDuplicateWarningPropertyName()`
Get the name of the property to populate with duplicates detected.
`protected Collection<String>`
AbstractPropertiesApplicationContextInitializer.`getExcludedSearchPaths()`
Get the collection of paths under the search root to exclude when searching for additional property files.
`protected abstract String`
AbstractPropertiesApplicationContextInitializer.`getFailFastPropertyName()`
Get the name of the property used to control fail-fast behavior (e.g., "idp.initializer.failFast").
`protected abstract String`
AbstractPropertiesApplicationContextInitializer.`getHomePropertyName()`
Get the name of the property used to identify the "home" of the application's configuration tree (e.g., "idp.home" or "sp.home").
`protected abstract String`
AbstractPropertiesApplicationContextInitializer.`getSearchLocation()`
Get the well known search location (e.g., "/opt/shibboleth-idp").
`protected abstract String`
AbstractPropertiesApplicationContextInitializer.`getSearchTarget()`
Get the target resource to be searched for (e.g., "/conf/idp.properties").
`protected String`
AbstractPropertiesApplicationContextInitializer.`selectSearchLocation(ConfigurableApplicationContext applicationContext)`
Select the location used to search for the target.

## Uses of NotEmpty in net.shibboleth.shared.spring.custom

Fields in net.shibboleth.shared.spring.custom with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final String`
AbstractCustomBeanDefinitionParser.`CUSTOM_PARSER_PROPERTIES_LOCATION`
Location to look for `Properties` that may affect custom parsing.
`static final String`
BaseSpringNamespaceHandler.`DEFAULT_SECONDARY_HANDLER_BASE_LOCATION`
The base location to look for the secondary mapping files.
`private final String`
BaseSpringNamespaceHandler.`secondaryHandlerQualifier`
Qualifier to include in resource path when looking for secondary handlers.
Constructor parameters in net.shibboleth.shared.spring.custom with annotations of type NotEmpty
Modifier
Constructor
Description
``
`BaseSpringNamespaceHandler(String qualifier)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.spring.expression

Constructor parameters in net.shibboleth.shared.spring.expression with annotations of type NotEmpty
Modifier
Constructor
Description
``
`AbstractSpringExpressionEvaluator(String expression)`
Constructor.
``
`SpringExpressionBiConsumer(String expression)`
Constructor.
``
`SpringExpressionBiFunction(String expression)`
Constructor.
``
`SpringExpressionBiPredicate(String expression)`
Constructor.
``
`SpringExpressionConsumer(String expression)`
Constructor.
``
`SpringExpressionFunction(String expression)`
Constructor.
``
`SpringExpressionPredicate(String expression)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.spring.httpclient.resource

Constructor parameters in net.shibboleth.shared.spring.httpclient.resource with annotations of type NotEmpty
Modifier
Constructor
Description
``
`FileBackedHTTPResource(String backingFile, org.apache.hc.client5.http.classic.HttpClient client, String url)`
Constructor.
``
`HTTPResource(org.apache.hc.client5.http.classic.HttpClient client, String url)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.spring.resource

Fields in net.shibboleth.shared.spring.resource with annotations of type NotEmpty
Modifier and Type
Field
Description
`(package private) static final String`
ConditionalResourceResolver.`CONDITIONAL_RESOURCE_PREFIX`
URL scheme.
`private static final String`
ConditionalResource.`DEFAULT_CONTENT`
Dummy content.
`private final String`
RunnableFileSystemResource.`thePrefix`
Log prefix.
Methods in net.shibboleth.shared.spring.resource with annotations of type NotEmpty
Modifier and Type
Method
Description
`protected String`
ConditionalResource.`getLogPrefix()`
Return a prefix for logging messages for this component.
Method parameters in net.shibboleth.shared.spring.resource with annotations of type NotEmpty
Modifier and Type
Method
Description
`void`
ConditionalResource.`setId(String id)`
Sets the ID of this component.
Constructor parameters in net.shibboleth.shared.spring.resource with annotations of type NotEmpty
Modifier
Constructor
Description
``
`RunnableFileSystemResource(String path, Runnable runnable)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.spring.security.factory

Fields in net.shibboleth.shared.spring.security.factory with annotations of type NotEmpty
Modifier and Type
Field
Description
`private static final String`
PKCS11PrivateKeyFactoryBean.`UNCONFIGURED_PROVIDER_NAME`
The name for the base PKCS#11 provider.

## Uses of NotEmpty in net.shibboleth.shared.spring.servlet

Fields in net.shibboleth.shared.spring.servlet with annotations of type NotEmpty
Modifier and Type
Field
Description
`private final String`
URLPrefix.`wrappedString`
The wrapped string.
Methods in net.shibboleth.shared.spring.servlet with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
URLPrefix.`getValue()`
Get the wrapped value.
Constructor parameters in net.shibboleth.shared.spring.servlet with annotations of type NotEmpty
Modifier
Constructor
Description
``
`URLPrefix(String s)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.spring.servlet.impl

Fields in net.shibboleth.shared.spring.servlet.impl with annotations of type NotEmpty
Modifier and Type
Field
Description
`private String`
DelegatingServletProxy.`contextAttribute`
The name of the ServletContext attribute which should be used to retrieve the `WebApplicationContext` from which to load the delegate `Servlet` bean.
`private static final String`
SameSiteCookieHeaderFilter.`SAMESITE_ATTRIBITE_NAME`
The name of the same-site cookie attribute.
`private String`
DelegatingServletProxy.`targetBeanName`
The name of the target bean in the Spring application context.
`private String`
SameSiteCookieHeaderFilter.SameSiteValue.`value`
The same-site attribute value.
Methods in net.shibboleth.shared.spring.servlet.impl with annotations of type NotEmpty
Modifier and Type
Method
Description
`String`
DelegatingServletProxy.`getContextAttribute()`
Return the name of the ServletContext attribute which should be used to retrieve the `WebApplicationContext` from which to load the delegate `Servlet` bean.
`protected String`
DelegatingServletProxy.`getTargetBeanName()`
Return the name of the target bean in the Spring application context.
Method parameters in net.shibboleth.shared.spring.servlet.impl with annotations of type NotEmpty
Modifier and Type
Method
Description
`private void`
SameSiteCookieHeaderFilter.SameSiteResponseProxy.`appendSameSiteAttribute(String cookieHeader, String sameSiteValue, boolean first)`
Append the SameSite cookie attribute with the specified samesite-value to the `cookieHeader` iff it does not already have one set.
`private void`
SameSiteCookieHeaderFilter.SameSiteResponseProxy.`appendSameSiteAttribute(String cookieHeader, String sameSiteValue, boolean first)`
Append the SameSite cookie attribute with the specified samesite-value to the `cookieHeader` iff it does not already have one set.
`void`
DelegatingServletProxy.`setContextAttribute(String name)`
Set the name of the ServletContext attribute which should be used to retrieve the `WebApplicationContext` from which to load the delegate `Servlet` bean.
`void`
DelegatingServletProxy.`setTargetBeanName(String name)`
Set the name of the target bean in the Spring application context.
Constructor parameters in net.shibboleth.shared.spring.servlet.impl with annotations of type NotEmpty
Modifier
Constructor
Description
``
`DelegatingServletProxy(String targetBeanName)`
Constructor that will retrieve the named target bean from the Spring `WebApplicationContext` found in the `ServletContext` (either the 'root' application context or the context named by `DelegatingServletProxy.setContextAttribute(java.lang.String)`).
``
`DelegatingServletProxy(String targetBeanName, WebApplicationContext wac)`
Constructor that will retrieve the named target bean from the given Spring `WebApplicationContext`.
`private`
`SameSiteValue(String attrValue)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.spring.util

Fields in net.shibboleth.shared.spring.util with annotations of type NotEmpty
Modifier and Type
Field
Description
`private String`
ApplicationContextBuilder.`contextName`
Context name.
Method parameters in net.shibboleth.shared.spring.util with annotations of type NotEmpty
Modifier and Type
Method
Description
`ApplicationContextBuilder`
ApplicationContextBuilder.`setName(String name)`
Set the name of the context.

## Uses of NotEmpty in net.shibboleth.shared.spring.velocity

Fields in net.shibboleth.shared.spring.velocity with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final String`
SpringResourceLoader.`NAME`
Constant identifying resource loader name.
`private static final String`
VelocityConfigurer.`SPRING_MACRO_LIBRARY`
Name of Spring's default bind macro library.
`private static final String`
VelocityConfigurer.`SPRING_MACRO_RESOURCE_LOADER_CLASS`
Key for the class of Spring's bind macro resource loader.
`private static final String`
VelocityConfigurer.`SPRING_MACRO_RESOURCE_LOADER_NAME`
Name of the resource loader for Spring's bind macros.
`static final String`
SpringResourceLoader.`SPRING_RESOURCE_LOADER`
Constant identifying `ResourceLoader` instance.
`static final String`
SpringResourceLoader.`SPRING_RESOURCE_LOADER_CACHE`
Constant identifying caching property.
`static final String`
SpringResourceLoader.`SPRING_RESOURCE_LOADER_CLASS`
Constant identifying resource loader class name.
`static final String`
SpringResourceLoader.`SPRING_RESOURCE_LOADER_PATH`
Constant identifying resource loader path.

## Uses of NotEmpty in net.shibboleth.shared.testing

Method parameters in net.shibboleth.shared.testing with annotations of type NotEmpty
Modifier and Type
Method
Description
`static String`
RepositorySupport.`buildHTTPResourceURL(String repoName, String resourcePath, boolean https, String branch)`
Build an HTTP/HTTPS resource URL for the selected repository name and path.

## Uses of NotEmpty in net.shibboleth.shared.velocity

Fields in net.shibboleth.shared.velocity with annotations of type NotEmpty
Modifier and Type
Field
Description
`private final String`
Template.`templateEncoding`
The character encoding of the template.
`private final String`
Template.`templateName`
The name of the template to be evaluated.
Method parameters in net.shibboleth.shared.velocity with annotations of type NotEmpty
Modifier and Type
Method
Description
`static Template`
Template.`fromTemplate(org.apache.velocity.app.VelocityEngine engine, String template)`
A convenience method that invoked `Template.fromTemplate(VelocityEngine, String, Charset)` and assumes the given template is US ASCII encoded.
`static Template`
Template.`fromTemplate(org.apache.velocity.app.VelocityEngine engine, String template, Charset encoding)`
Constructs a `Template` from a given template.
`static Template`
Template.`fromTemplateName(org.apache.velocity.app.VelocityEngine engine, String templateName)`
A convenience method that invoked `Template.fromTemplateName(VelocityEngine, String, Charset)` and assumes the named template is US ASCII encoded.
`static Template`
Template.`fromTemplateName(org.apache.velocity.app.VelocityEngine engine, String name, Charset encoding)`
Constructs a `Template` that evaluates a named velocity template with a using the given velocity engine.
Constructor parameters in net.shibboleth.shared.velocity with annotations of type NotEmpty
Modifier
Constructor
Description
`private`
`Template(org.apache.velocity.app.VelocityEngine velocityEngine, String velocityTemplateName, String velocityTemplateEncoding)`
Constructor.

## Uses of NotEmpty in net.shibboleth.shared.xml

Fields in net.shibboleth.shared.xml with annotations of type NotEmpty
Modifier and Type
Field
Description
`static final String`
ClasspathResolver.`CLASSPATH_URI_SCHEME`
URI scheme for classpath locations.
`static final String`
XMLConstants.`LIST_DELIMITERS`
A string which contains the valid delimiters for the XML Schema 'list' type.
`static final String`
XMLConstants.`XML_NS`
XML core namespace.
`static final String`
XMLConstants.`XML_PREFIX`
XML core prefix for xml attributes.
`static final String`
XMLConstants.`XMLNS_NS`
XML namespace for xmlns attributes.
`static final String`
XMLConstants.`XMLNS_PREFIX`
XML namespace prefix for xmlns attributes.
`static final String`
XMLConstants.`XSD_NS`
XML Schema namespace.
`static final String`
XMLConstants.`XSD_PREFIX`
XML Schema QName prefix.
`static final String`
XMLConstants.`XSI_NS`
XML Schema Instance namespace.
`static final String`
XMLConstants.`XSI_PREFIX`
XML Schema Instance QName prefix.
Methods in net.shibboleth.shared.xml with annotations of type NotEmpty
Modifier and Type
Method
Description
`static String`
AttributeSupport.`ensureAttributeValue(Element element, String namespace, String attributeLocalName)`
Gets the trimmed value of an attribute from an element, ensuring it is not null or empty.
`static String`
AttributeSupport.`ensureAttributeValue(Element element, QName attributeName)`
Gets the trimmed value of an attribute from an element, ensuring it is not null or empty.
Method parameters in net.shibboleth.shared.xml with annotations of type NotEmpty
Modifier and Type
Method
Description
`static QName`
QNameSupport.`constructQName(String namespaceURI, String localName, String prefix)`
Constructs a QName.
`static QName`
QNameSupport.`constructQName(Element owningElement, String qname)`
Constructs a QName from a string (attribute or element content) value.
`static String`
AttributeSupport.`ensureAttributeValue(Element element, String namespace, String attributeLocalName)`
Gets the trimmed value of an attribute from an element, ensuring it is not null or empty.
`static String`
AttributeSupport.`getAttributeValue(Element element, String namespace, String attributeLocalName)`
Gets the value of an attribute from an element.
`void`
SchemaBuilder.`setFeature(String name, boolean value)`
Set a feature for the `SchemaFactory` to be built.
`void`
SchemaBuilder.`setProperty(String name, Object object)`
Set the value of a property for the `SchemaFactory` to be built.
Constructor parameters in net.shibboleth.shared.xml with annotations of type NotEmpty
Modifier
Constructor
Description
`private`
`SchemaLanguage(String uri)`
Constructor.

## Uses of NotEmpty in net.shibboleth.utilities.java.support.codec

Constructor parameters in net.shibboleth.utilities.java.support.codec with annotations of type NotEmpty
Modifier
Constructor
Description
``
`StringDigester(String algorithm, StringDigester.OutputFormat format)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
``
`StringDigester(String algorithm, StringDigester.OutputFormat format, Charset charset)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Uses of NotEmpty in net.shibboleth.utilities.java.support.net

Method parameters in net.shibboleth.utilities.java.support.net with annotations of type NotEmpty
Modifier and Type
Method
Description
`static IPRange`
IPRange.`parseCIDRBlock(String cidrBlock)`
Deprecated, for removal: This API element is subject to removal in a future version.
Parses a CIDR block definition in to an IP range.